Search
Search current source posts, channels, media and accessible projects
GET
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
q*stringLength
2 <= length <= 200projectId?stringLength
1 <= lengthResponse for status 200
application/json- response
results*array<>curl -X GET 'https://postbot.example/api/search?q=string'Example Response
{
"results": [
{
"kind": "post",
"id": "string",
"projectId": "string",
"projectName": "string",
"title": "string",
"description": "string",
"contentType": "string"
}
]
}